Subject: Re: bug#26573: 25.1; emacs 25.1 crashes while I am killing a bunch of lines

From: Tino Calancha <[email-masked]>
Date: Thu, 20 Apr 2017 19:31:45 +0900

ishikawa <[email-masked]> writes:

> On 2017年04月20日 13:38, ISHIKAWA,chiaki wrote:
>> On 2017/04/20 12:10, [email-masked] wrote:
>>> "ISHIKAWA,chiaki" <[email-masked]> writes:
>>>
>>>> Emacs 25.1.1 (locally compiled under Debian GNU/linux) crashed a few
>>>> times
>>>
>>>> re_search_2 at /home/ishikawa/repos/emacs-25.1/src/regex.c:4464
>>>> search_buffer at /home/ishikawa/repos/emacs-25.1/src/search.c:1270
>>>> search_command at /home/ishikawa/repos/emacs-25.1/src/search.c:1066
>>>> Fre_search_forward at /home/ishikawa/repos/emacs-25.1/src/search.c:2265
>>>
>>> This looks like it could be #24358.  Is ralloc.c being compiled? (i.e,
>>> do you have a ralloc.o object file produced by compilation?)  Does it
>>> help if you reconfigure with './configure REL_ALLOC=no' and/or try
>>> compiling the 25.2 rc?
>>>
>>>
>>
>> Thank you for the tips.
>>
>> Since I configured emacs with
>>
>>> Configured using:
>>>  'configure --with-x-toolkit=gtk --without-xim'
>>
>> I think it is likely that I have ralloc.o.
>> Let me re-compile emacs with the suggested additional
>> and work with it for a few weeks.
>> Based on the frequency of the crashes I observed if the new binary does
>> not crash in a month, the bug would have been solved.
>>
>> TIA
>>
>>
> Sorry, I am not familiar with pre-release source tar balls, etc.
>
> Where exactly can I find emacs 25.2 rc?

Here:
ftp://alpha.gnu.org/gnu/emacs/pretest/emacs-25.2-rc2.tar.xz

You can get the PGP signature at:
ftp://alpha.gnu.org/gnu/emacs/pretest/emacs-25.2-rc2.tar.xz.sig